"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Configuration_1 = require("./Configuration");
const EnvironmentSource_1 = require("./EnvironmentSource");
describe('Configuration', () => {
    it('Prioritized defaults when structure conflicts exist', () => __awaiter(this, void 0, void 0, function* () {
        const config = new Configuration_1.Configuration({
            sources: [
                new EnvironmentSource_1.EnvironmentSource({
                    VAR_ONE: 'Hello',
                    VAR_ONE_VALUE: 'Other',
                }),
            ],
        });
        config.init();
        expect(config.get('var.one')).toBe('Hello');
        expect(config.get('var.one.value')).toBe(undefined);
    }));
});
